# MPI_File_write_ordered

Collective write using shared file pointer

## Synopsis

    int MPI_File_write_ordered(MPI_File mpi_fh, void *buf, int count,
                             MPI_Datatype datatype, MPI_Status *status)

## Input Parameters

fh
  file handle (handle)

buf
  initial address of buffer (choice)

count
  number of elements in buffer (nonnegative integer)

datatype
  datatype of each buffer element (handle)

## Output Parameters

status
  status object (Status)

Location:write_ord.c